﻿namespace Adapter
{
    using UMK.WzorceStrukturalne;

    class Program
    {
        static void Main(string[] args)
        {
            Punkt środekTrójkąta = new Punkt(10.0f, 10.0f);
            IWielokątForemny trójkątForemny = new TrójkątForemny(środekTrójkąta, 5.0f);

            Prostokąt prostokąt = new Prostokąt(new Punkt(7.5f, 17.5f), new Punkt(12.5f, 22.5f));
            IWielokątForemny kwadrat = new ProstokątForemny(prostokąt);

            //klient
            Klient.WyświetlInformacjeOFigurze(trójkątForemny);
            Klient.WyświetlInformacjeOFigurze(kwadrat);
        }
    }
}
